Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15945)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15946)
@@ -1003,4 +1003,10 @@
         return False
 
+    def display_fileupload(self, filename):
+        """This method can be used in custom packages to avoid unneccessary
+        file uploads.
+        """
+        return True
+
     @property
     def form_fields(self):
@@ -1059,5 +1065,6 @@
                 else:
                     self.upload_success = False
-        self.max_file_upload_size = 1024 * getUtility(IStudentsUtils).MAX_KB
+        self.max_file_upload_size = string_from_bytes(
+            1024*getUtility(IStudentsUtils).MAX_KB)
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 15945)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 15946)
@@ -20,4 +20,16 @@
 <table i18n:domain="waeup.kofa" class="form-table">
   <tbody>
+    <tal:files condition="view/file_links">
+      <tr>
+        <td class="separator" colspan=2>
+          Files
+        </td>
+      </tr>
+      <tr>
+        <td colspan=2>
+          <span tal:replace="structure view/file_links" />
+        </td>
+      </tr>
+    </tal:files>
     <tal:widgets content="structure provider:widgets" />
     <tr tal:condition="view/getCourseAdmitted">
@@ -37,16 +49,4 @@
       </td>
     </tr>
-    <tal:files>
-      <tr>
-        <td class="separator" colspan=2>
-          Files
-        </td>
-      </tr>
-      <tr>
-        <td colspan=2>
-          <span tal:replace="structure view/file_links" />
-        </td>
-      </tr>
-    </tal:files>
   </tbody>
 </table>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 15945)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 15946)
@@ -46,27 +46,29 @@
       <tal:files>
         <tr tal:repeat="filename view/additional_files">
-          <td class="fieldname">
-            <span tal:replace="python:filename[0]">FILENAME</span>
-          </td>
-          <td>
-            <p tal:condition="python:view.file_exists(filename[1])">
-              <a tal:attributes="href python:filename[1]"i18n:translate="">
-                Download pdf file
-              </a>
-            </p>
-            <div class="input-group half">
-              <div class="input-group-btn">
-                <div class="btn btn-default btn-file">
-                  Select&hellip;
-                <input type="file" tal:attributes="name python:filename[1]" />
+          <tal:cond tal:condition="python:view.display_fileupload(filename)">
+            <td class="fieldname">
+              <span tal:replace="python:filename[0]">FILENAME</span>:
+            </td>
+            <td>
+              <p tal:condition="python:view.file_exists(filename[1])">
+                <a tal:attributes="href python:filename[1]"i18n:translate="">
+                  Download pdf file
+                </a>
+              </p>
+              <div class="input-group half">
+                <div class="input-group-btn">
+                  <div class="btn btn-default btn-file">
+                    Select&hellip;
+                  <input type="file" tal:attributes="name python:filename[1]" />
+                  </div>
                 </div>
+                <input type="text" class="form-control" readonly>
               </div>
-              <input type="text" class="form-control" readonly>
-            </div>
-            <span i18n:translate="">
-              PDF files only. Max. file size:
-            </span>
-            <span tal:replace="view/max_file_upload_size">10 KB</span>
-          </td>
+              <span i18n:translate="">
+                PDF files only. Max. file size:
+              </span>
+              <span tal:replace="view/max_file_upload_size">10 KB</span>
+            </td>
+          </tal:cond>
         </tr>
       </tal:files>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 15945)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 15946)
@@ -44,4 +44,5 @@
     #: respective display or input widget.
     SEPARATORS_DICT = {
+      'form.applicant_id': _(u'Base Data'),
       'form.course1': _(u'Desired Study Courses'),
       'form.notice': _(u'Application Process Data'),