Index: /main/waeup-hugo/content/kofa.de.md
===================================================================
--- /main/waeup-hugo/content/kofa.de.md	(revision 15954)
+++ /main/waeup-hugo/content/kofa.de.md	(revision 15955)
@@ -6,5 +6,5 @@
 ---
 
-Kofa ist Open Source Software. Verwenden und passen Sie unsere Software an Ihre Bedürfnisse gemäß der [GNU Genaral Public License] (https://kofa-doc.waeup.org/license.html#license) nach Belieben an.
+Kofa ist Open Source Software. Verwenden und passen Sie unsere Software an Ihre Bedürfnisse gemäß der [GNU General Public License] (https://kofa-doc.waeup.org/license.html#license) nach Belieben an.
 
 Das Deployment von Kofa setzt gute Kenntnisse der Programmiersprache Python voraus. Kofa läuft nur auf Linux-Betriebssystemen. Windows wird nicht unterstützt! Ausführliche Informationen zur Installation und Verwendung von Kofa finden Sie in unserer [Dokumentation] (https://kofa-doc.waeup.org).
Index: /main/waeup-hugo/content/kofa.md
===================================================================
--- /main/waeup-hugo/content/kofa.md	(revision 15954)
+++ /main/waeup-hugo/content/kofa.md	(revision 15955)
@@ -6,5 +6,5 @@
 ---
 
-WAeUP.Kofa is a multifunctional, open source, web based student management system to provide transparent and comprehensive information about application and study progress. The system controls all kinds of application and student registration processes at large schools and universities in Nigeria. It is a generic system which can be deployed by, and is useful to most universities, colleges or schools worldwide. Kofa is open source software. It's at your discretion to use and customize our software in accordance with the [GNU Genaral Public License] (https://kofa-doc.waeup.org/license.html#license).
+WAeUP.Kofa is a multifunctional, open source, web based student management system to provide transparent and comprehensive information about application and study progress. The system controls all kinds of application and student registration processes at large schools and universities in Nigeria. It is a generic system which can be deployed by, and is useful to most universities, colleges or schools worldwide. Kofa is open source software. It's at your discretion to use and customize our software in accordance with the [GNU General Public License] (https://kofa-doc.waeup.org/license.html#license).
 
 Among others, Kofa covers:
Index: /main/waeup-hugo/include/references.md
===================================================================
--- /main/waeup-hugo/include/references.md	(revision 15954)
+++ /main/waeup-hugo/include/references.md	(revision 15955)
@@ -5,2 +5,3 @@
 - [College of Education, Warri, Nigeria] (https://coewarri.waeup.org)
 - [Edo State Polytechnic, Usen, Edo State, Nigeria] (https://edopoly.waeup.org/)
+- [Igbinedion University, Okada, Edo State, Nigeria] (https://iuokada.waeup.org/)
Index: /main/waeup-hugo/public/de/index.html
===================================================================
--- /main/waeup-hugo/public/de/index.html	(revision 15954)
+++ /main/waeup-hugo/public/de/index.html	(revision 15955)
@@ -64,5 +64,5 @@
               <article id="kofa">
   <h1>Kofa</h1>
-  <p>Kofa ist Open Source Software. Verwenden und passen Sie unsere Software an Ihre Bedürfnisse gemäß der <a href="https://kofa-doc.waeup.org/license.html#license">GNU Genaral Public License</a> nach Belieben an.</p>
+  <p>Kofa ist Open Source Software. Verwenden und passen Sie unsere Software an Ihre Bedürfnisse gemäß der <a href="https://kofa-doc.waeup.org/license.html#license">GNU General Public License</a> nach Belieben an.</p>
 
 <p>Das Deployment von Kofa setzt gute Kenntnisse der Programmiersprache Python voraus. Kofa läuft nur auf Linux-Betriebssystemen. Windows wird nicht unterstützt! Ausführliche Informationen zur Installation und Verwendung von Kofa finden Sie in unserer <a href="https://kofa-doc.waeup.org">Dokumentation</a>.</p>
@@ -84,4 +84,5 @@
 <li><a href="https://coewarri.waeup.org">College of Education, Warri, Nigeria</a></li>
 <li><a href="https://edopoly.waeup.org/">Edo State Polytechnic, Usen, Edo State, Nigeria</a></li>
+<li><a href="https://iuokada.waeup.org/">Igbinedion University, Okada, Edo State, Nigeria</a></li>
 </ul>
 
Index: /main/waeup-hugo/public/fr/index.html
===================================================================
--- /main/waeup-hugo/public/fr/index.html	(revision 15954)
+++ /main/waeup-hugo/public/fr/index.html	(revision 15955)
@@ -79,4 +79,5 @@
 <li><a href="https://coewarri.waeup.org">College of Education, Warri, Nigeria</a></li>
 <li><a href="https://edopoly.waeup.org/">Edo State Polytechnic, Usen, Edo State, Nigeria</a></li>
+<li><a href="https://iuokada.waeup.org/">Igbinedion University, Okada, Edo State, Nigeria</a></li>
 </ul>
 
Index: /main/waeup-hugo/public/index.html
===================================================================
--- /main/waeup-hugo/public/index.html	(revision 15954)
+++ /main/waeup-hugo/public/index.html	(revision 15955)
@@ -64,5 +64,5 @@
               <article id="kofa">
   <h1>Kofa</h1>
-  <p>WAeUP.Kofa is a multifunctional, open source, web based student management system to provide transparent and comprehensive information about application and study progress. The system controls all kinds of application and student registration processes at large schools and universities in Nigeria. It is a generic system which can be deployed by, and is useful to most universities, colleges or schools worldwide. Kofa is open source software. It&rsquo;s at your discretion to use and customize our software in accordance with the <a href="https://kofa-doc.waeup.org/license.html#license">GNU Genaral Public License</a>.</p>
+  <p>WAeUP.Kofa is a multifunctional, open source, web based student management system to provide transparent and comprehensive information about application and study progress. The system controls all kinds of application and student registration processes at large schools and universities in Nigeria. It is a generic system which can be deployed by, and is useful to most universities, colleges or schools worldwide. Kofa is open source software. It&rsquo;s at your discretion to use and customize our software in accordance with the <a href="https://kofa-doc.waeup.org/license.html#license">GNU General Public License</a>.</p>
 
 <p>Among others, Kofa covers:</p>
@@ -102,4 +102,5 @@
 <li><a href="https://coewarri.waeup.org">College of Education, Warri, Nigeria</a></li>
 <li><a href="https://edopoly.waeup.org/">Edo State Polytechnic, Usen, Edo State, Nigeria</a></li>
+<li><a href="https://iuokada.waeup.org/">Igbinedion University, Okada, Edo State, Nigeria</a></li>
 </ul>
 