Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 15767)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 15959)
@@ -52,51 +52,51 @@
 SPECIAL_PAYMENT_PARAMS = {
 
-    'carryover1': ('101', 500.0, '1012963301', '117'),
-    'carryover4': ('101', 500.0, '1012963301', '117'),
-    'carryover5': ('101', 500.0, '1012963301', '117'),
-    'carryover6': ('101', 500.0, '1012963301', '117'),
-    'carryover7': ('101', 500.0, '1012963301', '117'),
-    'carryover8': ('101', 500.0, '1012963301', '117'),
-    'carryover9': ('101', 500.0, '1012963301', '117'),
-    'carryover10': ('101', 500.0, '1012963301', '117'),
-    'carryover11': ('101', 500.0, '1012963301', '117'),
-    'carryover12': ('101', 500.0, '1012963301', '117'),
-    'balance': ('101', 500.0, '1012963301', '117'),
-
-    'certificate': ('111', 500.0, '1012963301', '117'),
-    'state_result': ('112', 500.0, '1012963301', '117'),
-    'transcript_local': ('113', 500.0, '1012963301', '117'),
-    'transcript_foreign': ('114', 500.0, '1012963301', '117'),
-    'ver_result': ('115', 500.0, '1012963301', '117'),
-    'change_course': ('116', 500.0, '1012963301', '117'),
-    'change_inst': ('117', 500.0, '1012963301', '117'),
-    'jamb_reject': ('118', 500.0, '1012963301', '117'),
-    'cert_of_cert': ('119', 500.0, '1012963301', '117'),
-    'ref_let': ('120', 500.0, '1012963301', '117'),
-    'proc_cert': ('121', 500.0, '1012963301', '117'),
-    'loss_idcard': ('122', 9.0, '1012963301', '117'),
-    'loss_examcard': ('123', 4.5, '1012963301', '117'),
-    'loss_result': ('124', 500.0, '1012963301', '117'),
-    'loss_receipt': ('125', 500.0, '1012963301', '117'),
-    'loss_clearance': ('126', 500.0, '1012963301', '117'),
-    'conv_brochure': ('127', 500.0, '1012963301', '117'),
-    'hnd_certificate': ('128', 500.0, '1012963301', '117'),
-    'hnd_state_result': ('129', 500.0, '1012963301', '117'),
-    'hnd_transcript_local': ('130', 500.0, '1012963301', '117'),
-    'hnd_transcript_foreign': ('131', 500.0, '1012963301', '117'),
-    'staff_loss_idcard': ('132', 9.0, '1012963301', '117'),
-    'hnd_conv_brochure': ('133', 500.0, '1012963301', '117'),
-    'pgd_state_result': ('134', 500.0, '1012963301', '117'),
-    'pgd_conv_brochure': ('135', 500.0, '1012963301', '117'),
-    'pgd_certificate': ('136', 500.0, '1012963301', '117'),
-    'log_book': ('137', 4.5, '1012963301', '117'),
-    'pgd_transcript_foreign': ('138', 500.0, '1012963301', '117'),
-    'pgd_transcript_local': ('139', 500.0, '1012963301', '117'),
-    'jamb_regularization': ('140', 500.0, '1012963301', '117'),
-    'utme_registration': ('142', 9.0, '1012963301', '117'),
-    'utme_cbt': ('143', 9.0, '1012963301', '117'),
-    'nysc_id_card': ('144', 9.0, '1012963301', '117'),
-    'ijmb_result': ('147', 500.0, '1012963301', '117'),
-    'conv': ('151', 500.0, '1012963301', '117'),
+    'carryover1': ('101', 500.0, '1012808851', '117'),
+    'carryover4': ('101', 500.0, '1012808851', '117'),
+    'carryover5': ('101', 500.0, '1012808851', '117'),
+    'carryover6': ('101', 500.0, '1012808851', '117'),
+    'carryover7': ('101', 500.0, '1012808851', '117'),
+    'carryover8': ('101', 500.0, '1012808851', '117'),
+    'carryover9': ('101', 500.0, '1012808851', '117'),
+    'carryover10': ('101', 500.0, '1012808851', '117'),
+    'carryover11': ('101', 500.0, '1012808851', '117'),
+    'carryover12': ('101', 500.0, '1012808851', '117'),
+    'balance': ('101', 500.0, '1012808851', '117'),
+
+    'certificate': ('111', 500.0, '1012808851', '117'),
+    'state_result': ('112', 500.0, '1012808851', '117'),
+    'transcript_local': ('113', 500.0, '1012808851', '117'),
+    'transcript_foreign': ('114', 500.0, '1012808851', '117'),
+    'ver_result': ('115', 500.0, '1012808851', '117'),
+    'change_course': ('116', 500.0, '1012808851', '117'),
+    'change_inst': ('117', 500.0, '1012808851', '117'),
+    'jamb_reject': ('118', 500.0, '1012808851', '117'),
+    'cert_of_cert': ('119', 500.0, '1012808851', '117'),
+    'ref_let': ('120', 500.0, '1012808851', '117'),
+    'proc_cert': ('121', 500.0, '1012808851', '117'),
+    'loss_idcard': ('122', 9.0, '1012808851', '117'),
+    'loss_examcard': ('123', 4.5, '1012808851', '117'),
+    'loss_result': ('124', 500.0, '1012808851', '117'),
+    'loss_receipt': ('125', 500.0, '1012808851', '117'),
+    'loss_clearance': ('126', 500.0, '1012808851', '117'),
+    'conv_brochure': ('127', 500.0, '1012808851', '117'),
+    'hnd_certificate': ('128', 500.0, '1012808851', '117'),
+    'hnd_state_result': ('129', 500.0, '1012808851', '117'),
+    'hnd_transcript_local': ('130', 500.0, '1012808851', '117'),
+    'hnd_transcript_foreign': ('131', 500.0, '1012808851', '117'),
+    'staff_loss_idcard': ('132', 9.0, '1012808851', '117'),
+    'hnd_conv_brochure': ('133', 500.0, '1012808851', '117'),
+    'pgd_state_result': ('134', 500.0, '1012808851', '117'),
+    'pgd_conv_brochure': ('135', 500.0, '1012808851', '117'),
+    'pgd_certificate': ('136', 500.0, '1012808851', '117'),
+    'log_book': ('137', 4.5, '1012808851', '117'),
+    'pgd_transcript_foreign': ('138', 500.0, '1012808851', '117'),
+    'pgd_transcript_local': ('139', 500.0, '1012808851', '117'),
+    'jamb_regularization': ('140', 500.0, '1012808851', '117'),
+    'utme_registration': ('142', 9.0, '1012808851', '117'),
+    'utme_cbt': ('143', 9.0, '1012808851', '117'),
+    'nysc_id_card': ('144', 9.0, '1012808851', '117'),
+    'ijmb_result': ('147', 500.0, '1012808851', '117'),
+    'conv': ('151', 500.0, '1012808851', '117'),
     }
 
@@ -146,5 +146,5 @@
                 xmldict['institution_bank_id'] = '117'
             elif student.current_mode in ('nd_ft', 'hnd_ft'):
-                xmldict['institution_acct'] = '1012963301'
+                xmldict['institution_acct'] = '1012808851'
                 xmldict['institution_bank_id'] = '117'
         elif self.context.p_category == 'clearance':
@@ -194,5 +194,5 @@
         elif self.context.p_category == 'lsfp_penalty':
             self.pay_item_id = '102'
-            xmldict['institution_acct'] = '1012963301'
+            xmldict['institution_acct'] = '1012808851'
             xmldict['institution_bank_id'] = '117'
         elif self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
@@ -441,6 +441,6 @@
             xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="Collection of Results" item_amt="%(amt1)d" bank_id="117" acct_num="1012963301" />
-<item_detail item_id="2" item_name="Collection of Certificate" item_amt="%(amt2)d" bank_id="117" acct_num="1012963301" />
+<item_detail item_id="1" item_name="Collection of Results" item_amt="%(amt1)d" bank_id="117" acct_num="1012808851" />
+<item_detail item_id="2" item_name="Collection of Certificate" item_amt="%(amt2)d" bank_id="117" acct_num="1012808851" />
 <item_detail item_id="3" item_name="Alumni" item_amt="%(amt3)d" bank_id="8" acct_num="2011810346" />
 <item_detail item_id="4" item_name="Convocation" item_amt="%(amt4)d" bank_id="8" acct_num="2006612782" />
@@ -458,6 +458,6 @@
             xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="Collection of Results" item_amt="%(amt1)d" bank_id="117" acct_num="1012963301" />
-<item_detail item_id="2" item_name="Collection of Certificate" item_amt="%(amt2)d" bank_id="117" acct_num="1012963301" />
+<item_detail item_id="1" item_name="Collection of Results" item_amt="%(amt1)d" bank_id="117" acct_num="1012808851" />
+<item_detail item_id="2" item_name="Collection of Certificate" item_amt="%(amt2)d" bank_id="117" acct_num="1012808851" />
 <item_detail item_id="3" item_name="Alumni" item_amt="%(amt3)d" bank_id="8" acct_num="2011810346" />
 <item_detail item_id="4" item_name="Convocation" item_amt="%(amt4)d" bank_id="8" acct_num="2006612782" />
@@ -511,5 +511,5 @@
             xmldict['institution_bank_id'] = '117'
         elif self.applicant.__parent__.prefix == 'conv':
-            xmldict['institution_acct'] = '1012963301'
+            xmldict['institution_acct'] = '1012808851'
             xmldict['institution_bank_id'] = '117'
             self.pay_item_id = '151'