Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 15964)
@@ -153,9 +153,12 @@
 
     def getUsers(self):
-        """Get a list of all users.
-        """
-        for key, val in grok.getSite()['users'].items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, val=val))
+        return getUtility(IKofaUtils).getUsers()
+
+    #def getUsers(self):
+    #    """Get a list of all users.
+    #    """
+    #    for key, val in grok.getSite()['users'].items():
+    #        url = self.url(val)
+    #        yield(dict(url=url, name=key, val=val))
 
     def getUsersWithLocalRoles(self):
@@ -383,10 +386,13 @@
         return roles()
 
+    #def getUsers(self):
+    #    """Get a list of all users.
+    #    """
+    #    for key, val in grok.getSite()['users'].items():
+    #        url = self.url(val)
+    #        yield(dict(url=url, name=key, val=val))
+
     def getUsers(self):
-        """Get a list of all users.
-        """
-        for key, val in grok.getSite()['users'].items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, val=val))
+        return getUtility(IKofaUtils).getUsers()
 
     def getUsersWithLocalRoles(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 15964)
@@ -134,12 +134,14 @@
       </div> <br /><br />
       <table class="form-table">
-        <tr> <td>
+        <tr>
+          <td>
             <select id="user" name="user" class="form-control">
               <option tal:repeat="user view/getUsers"
                       tal:attributes="value user/name">
-              <span tal:replace="user/val/title">USERTITLE</span>
-              (<span tal:replace="user/val/name">USERNAME</span>)
+              <span tal:replace="user/val">USERSTRING</span>
               </option>
-            </select> </td> <td>
+            </select>
+          </td>
+          <td>
             <select id="local_role" name="local_role" class="form-control">
               <option tal:repeat="localrole view/getLocalRoles"
@@ -147,5 +149,7 @@
               <span tal:replace="localrole/title">LOCALROLETITLE</span>
               </option>
-            </select> </td> <td>
+            </select>
+          </td>
+          <td>
             <div tal:condition="view/availableActions">
               <span tal:repeat="action view/actions" tal:omit-tag="">
@@ -153,5 +157,6 @@
                        tal:replace="structure action/render"/>
               </span>
-            </div> </td>
+            </div>
+          </td>
         </tr>
       </table>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 15964)
@@ -117,6 +117,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 15964)
@@ -67,5 +67,5 @@
 from waeup.kofa.university.course import Course
 from waeup.kofa.permissions import (
-    get_users_with_local_roles, get_all_roles, get_all_users,
+    get_users_with_local_roles, get_all_roles,
     get_users_with_role)
 
@@ -328,5 +328,5 @@
 
     def getUsers(self):
-        return get_all_users()
+        return getUtility(IKofaUtils).getUsers()
 
     def getUsersWithLocalRoles(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 15964)
@@ -118,6 +118,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 15964)
@@ -63,6 +63,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 15964)
@@ -123,9 +123,8 @@
         <br />
         <div class="form-group">
-          <select class="form-control" id="user" name="user">
+          <select id="user" name="user" class="form-control">
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 15964)
@@ -100,6 +100,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 15964)
@@ -84,6 +84,5 @@
 
 
-class DocumentsContainerManageFormPage(KofaEditFormPage,
-                                      LocalRoleAssignmentUtilityView):
+class DocumentsContainerManageFormPage(KofaEditFormPage):
     """The manage page for customer containers.
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/documentmanagepage.pt	(revision 15964)
@@ -74,6 +74,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/browser_templates/htmldocumentmanagepage.pt	(revision 15964)
@@ -63,6 +63,5 @@
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val/title">USERTITLE</span>
-            (<span tal:replace="user/val/name">USERNAME</span>)
+            <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 15964)
@@ -746,12 +746,4 @@
 
 
-def get_all_users():
-    """Get a list of dictionaries.
-    """
-    users = sorted(grok.getSite()['users'].items(), key=lambda x: x[1].title)
-    for key, val in users:
-        yield(dict(name=key, val=val))
-
-
 def get_users_with_local_roles(context):
     """Get a list of dicts representing the local roles set for `context`.
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 15963)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 15964)
@@ -272,4 +272,10 @@
             subject, body, config)
 
+    def getUsers(self):
+        users = sorted(
+            grok.getSite()['users'].items(), key=lambda x: x[1].title)
+        for key, val in users:
+            yield(dict(name=key, val="%s (%s)" % (val.title, val.name)))
+
     @property
     def tzinfo(self):