Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 15968)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 15969)
@@ -4,4 +4,7 @@
 1.6.1.dev0 (unreleased)
 =======================
+
+* Use kofa-filterbox for filtering users when assigniing
+  local roles in academics section.
 
 * Add `waeup.local.ReportsOfficer` role.
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 15968)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 15969)
@@ -112,11 +112,15 @@
         </span>
       </div><br /><br />
+      <input id="filterbox" class="kofa-filterbox form-control half"
+             placeholder="Enter search text, then select item below."
+             type="text" i18n:translate=""/>
+      <br />
       <div class="form-inline">
-        <br />
         <div class="form-group">
-          <select id="user" name="user" class="form-control">
+          <select id="filteredselect" name="user"
+                  class="form-control" size=5>
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val">USERSTRING</span>
+              <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 15968)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 15969)
@@ -57,11 +57,15 @@
         </span>
       </div><br /><br />
+      <input id="filterbox" class="kofa-filterbox form-control half"
+             placeholder="Enter search text, then select item below."
+             type="text" i18n:translate=""/>
+      <br />
       <div class="form-inline">
-        <br />
         <div class="form-group">
-          <select id="user" name="user" class="form-control">
+          <select id="filteredselect" name="user"
+                  class="form-control" size=5>
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val">USERSTRING</span>
+              <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 15968)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 15969)
@@ -120,11 +120,16 @@
         </span>
       </div> <br /><br />
+
+      <input id="filterbox" class="kofa-filterbox form-control half"
+             placeholder="Enter search text, then select item below."
+             type="text" i18n:translate=""/>
+      <br />
       <div class="form-inline">
-        <br />
         <div class="form-group">
-          <select id="user" name="user" class="form-control">
+          <select id="filteredselect" name="user"
+                  class="form-control" size=5>
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val">USERSTRING</span>
+              <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 15968)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 15969)
@@ -94,11 +94,15 @@
         </span>
       </div><br /><br />
+      <input id="filterbox" class="kofa-filterbox form-control half"
+             placeholder="Enter search text, then select item below."
+             type="text" i18n:translate=""/>
+      <br />
       <div class="form-inline">
-        <br />
         <div class="form-group">
-          <select id="user" name="user" class="form-control">
+          <select id="filteredselect" name="user"
+                  class="form-control" size=5>
             <option tal:repeat="user view/getUsers"
                     tal:attributes="value user/name">
-            <span tal:replace="user/val">USERSTRING</span>
+              <span tal:replace="user/val">USERSTRING</span>
             </option>
           </select>