Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 15965)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 15971)
@@ -254,5 +254,5 @@
         )
 
-    library_fee_pg = schema.Float(
+    library_pg_fee = schema.Float(
         title = _(u'Library Development Fee PG'),
         default = 0.0,
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15965)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15971)
@@ -304,5 +304,5 @@
                     academic_session.library_fee)
                 library_amt_pg = gateway_net_amt(
-                    academic_session.library_fee_pg)
+                    academic_session.library_pg_fee)
                 xmldict['student_union_bank_id'] = '31'
                 xmldict['student_union_acct'] = '0051005007'
@@ -331,5 +331,5 @@
                     academic_session.library_fee)
                 library_amt_pg = gateway_net_amt(
-                    academic_session.library_fee_pg)
+                    academic_session.library_pg_fee)
                 xmldict['student_union_bank_id'] = '7'
                 xmldict['student_union_acct'] = '1019763348'
@@ -630,4 +630,22 @@
                 gateway_net_amt(self.context.amount_auth))
 
+        # Sports Fee
+        elif self.context.p_category == 'sports':
+            self.pay_item_id = '000'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+
+        # Library Fee
+        elif self.context.p_category == 'library':
+            self.pay_item_id = '000'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+
+        # Library PG Fee
+        elif self.context.p_category == 'library_pg':
+            self.pay_item_id = '000'
+            xmldict['institution_amt'] = 100 * (
+                gateway_net_amt(self.context.amount_auth))
+
         # Late Registration Fee
         elif self.context.p_category == 'late_registration':
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 15965)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 15971)
@@ -448,5 +448,5 @@
                     amount += gateway_net_amt(academic_session.sports_fee)
                     if student.is_postgrad:
-                        amount += gateway_net_amt(academic_session.library_fee_pg)
+                        amount += gateway_net_amt(academic_session.library_pg_fee)
                     else:
                         amount += gateway_net_amt(academic_session.library_fee)
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 15965)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 15971)
@@ -68,13 +68,16 @@
         'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'restitution': 'Restitution Fee',
+        'sports': 'Sports Fee',
+        'library': 'Library Fee UG',
+        'library_pg': 'Library Fee PG',
         }
 
     SELECTABLE_PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee without additional fees',
-        'schoolfee_1': 'School Fee (1st instalment) + Student Union Dues + Welfare Assurance, Library and Sports Fees',
+        'schoolfee_1': 'School Fee (1st instalment) incl. additional fees',
         'schoolfee_2': 'School Fee (2nd instalment)',
-        'schoolfee_incl': 'School Fee + Student Union Dues + Welfare Assurance, Library and Sports Fees',
+        'schoolfee_incl': 'School Fee incl. additional fees',
         'clearance': 'Acceptance Fee without additional fees',
-        'clearance_incl': 'Acceptance Fee + Matric Gown Fee + Lapel/File Fee',
+        'clearance_incl': 'Acceptance Fee incl. additional fees',
         'hostel_maintenance': 'Hostel Accommodation Fee',
         #'application': 'Application Fee',
@@ -100,4 +103,7 @@
         'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'restitution': 'Restitution Fee',
+        'sports': 'Sports Fee',
+        'library': 'Library Fee UG',
+        'library_pg': 'Library Fee PG',
         }
 
@@ -111,4 +117,5 @@
         'schoolfee': 'School Fee',
         'late_registration': 'Late Course Registration Fee',
+        'library_pg': 'Library Fee PG',
         }
 
@@ -118,4 +125,6 @@
         'schoolfee_1': 'School Fee (1st instalment)',
         'schoolfee_2': 'School Fee (2nd instalment)',
+        'sports': 'Sports Fee',
+        'library': 'Library Fee UG',
         }
 
@@ -132,4 +141,6 @@
         'gst_text_book_3': 'Text Book Fee GST222',
         'late_registration': 'Late Course Registration Fee',
+        'sports': 'Sports Fee',
+        'library': 'Library Fee UG',
         }
 