Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/applicantsbrowser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/applicantsbrowser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/applicantsbrowser.py	(revision 15974)
@@ -120,9 +120,11 @@
 
     def update(self):
+        if not webconnect_module_activated(
+            self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
-        if not webconnect_module_activated(
-            self.context.__parent__.__parent__.year, self.context):
-            return _("Etranzact payments deactivated.")
         if not self.context.r_company:
             self.context.net_amt = self.context.amount_auth
@@ -150,4 +152,6 @@
         if not webconnect_module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         applicant = self.context.__parent__
@@ -184,4 +188,6 @@
         if not webconnect_module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state in ('paid', 'waived', 'scholarship'):
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/payoutletbrowser.py	(revision 15974)
@@ -106,6 +106,7 @@
         if not payoutlet_module_activated(
             self.context.student.current_session, self.context):
-            return
-        super(EtranzactEnterPinPageStudent, self).update()
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
@@ -134,6 +135,7 @@
         if not payoutlet_module_activated(
             self.context.__parent__.__parent__.year, self.context):
-            return
-        super(EtranzactEnterPinPageApplicant, self).update()
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
@@ -178,4 +180,6 @@
         if not payoutlet_module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state == 'paid':
@@ -213,4 +217,6 @@
         if not payoutlet_module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state == 'paid':
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/etranzact/studentsbrowser.py	(revision 15974)
@@ -129,9 +129,11 @@
 
     def update(self):
+        if not webconnect_module_activated(
+            self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
-        if not webconnect_module_activated(
-            self.context.student.current_session, self.context):
-            return _("Etranzact payments deactivated.")
         if not self.context.r_company:
             self.context.net_amt = self.context.amount_auth
@@ -159,4 +161,6 @@
         if not webconnect_module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         student = self.context.student
@@ -193,4 +197,6 @@
         if not webconnect_module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state in ('paid', 'waived', 'scholarship'):
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/interswitch/browser.py	(revision 15974)
@@ -362,4 +362,6 @@
         if not module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         error = self.init_update()
@@ -421,4 +423,6 @@
         if not module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         error = self.init_update()
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/applicantsbrowser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/applicantsbrowser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/applicantsbrowser.py	(revision 15974)
@@ -112,4 +112,6 @@
         if not module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state in ('paid', 'waived', 'scholarship'):
@@ -165,4 +167,6 @@
         if not module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state  != 'paid' \
@@ -279,4 +283,6 @@
         if not module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         self.orderId = self.context.p_id
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/remita/studentsbrowser.py	(revision 15974)
@@ -122,4 +122,6 @@
         if not module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state in ('paid', 'waived', 'scholarship'):
@@ -175,4 +177,6 @@
         if not module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         if self.context.p_state  != 'paid' \
@@ -298,4 +302,6 @@
         if not module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         self.orderId = self.context.p_id
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py	(revision 15973)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py	(revision 15974)
@@ -225,6 +225,5 @@
 
 class NigeriaAccommodationDisplayFormPage(AccommodationDisplayFormPage):
-    """ Page to manage bed tickets.
-    This manage form page is for both students and students officers.
+    """ Page to view bed tickets.
     """
     with_hostel_selection = False