Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 15977)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 15978)
@@ -260,4 +260,10 @@
         )
 
+    sports_library_fee = schema.Float(
+        title = _(u'Sports Development and UG Library Fee'),
+        default = 0.0,
+        required = True,
+        )
+
     ict_fee = schema.Float(
         title = _(u'ICT Fee'),
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15977)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 15978)
@@ -631,20 +631,27 @@
 
         # Sports Fee
-        elif self.context.p_category == 'sports':
+        #elif self.context.p_category == 'sports':
+        #    self.pay_item_id = '105'
+        #    xmldict['institution_amt'] = 100 * (
+        #        gateway_net_amt(self.context.amount_auth))
+
+        # Library Fee
+        #elif self.context.p_category == 'library':
+        #    self.pay_item_id = '105'
+        #    xmldict['institution_amt'] = 100 * (
+        #        gateway_net_amt(self.context.amount_auth))
+
+        # Library PG Fee
+        #elif self.context.p_category == 'library_pg':
+        #    self.pay_item_id = '105'
+        #    xmldict['institution_amt'] = 100 * (
+        #        gateway_net_amt(self.context.amount_auth))
+
+        # Sports & Library Fee
+        elif self.context.p_category == 'sports_library':
             self.pay_item_id = '105'
             xmldict['institution_amt'] = 100 * (
                 gateway_net_amt(self.context.amount_auth))
 
-        # Library Fee
-        elif self.context.p_category == 'library':
-            self.pay_item_id = '105'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
-
-        # Library PG Fee
-        elif self.context.p_category == 'library_pg':
-            self.pay_item_id = '105'
-            xmldict['institution_amt'] = 100 * (
-                gateway_net_amt(self.context.amount_auth))
 
         # Late Registration Fee
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 15977)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 15978)
@@ -71,4 +71,5 @@
         'library': 'Library Fee UG',
         'library_pg': 'Library Fee PG',
+        'sports_library': 'Sports Development and UG Library Fee',
         }
 
@@ -103,7 +104,8 @@
         'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'restitution': 'Restitution Fee',
-        'sports': 'Sports Fee',
-        'library': 'Library Fee UG',
-        'library_pg': 'Library Fee PG',
+        #'sports': 'Sports Fee',
+        #'library': 'Library Fee UG',
+        #'library_pg': 'Library Fee PG',
+        'sports_library': 'Sports Development and UG Library Fee',
         }
 
@@ -117,5 +119,6 @@
         'schoolfee': 'School Fee',
         'late_registration': 'Late Course Registration Fee',
-        'library_pg': 'Library Fee PG',
+        #'library_pg': 'Library Fee PG',
+        'sports_library': 'Sports Development and UG Library Fee',
         }
 
@@ -125,6 +128,7 @@
         'schoolfee_1': 'School Fee (1st instalment)',
         'schoolfee_2': 'School Fee (2nd instalment)',
-        'sports': 'Sports Fee',
-        'library': 'Library Fee UG',
+        #'sports': 'Sports Fee',
+        #'library': 'Library Fee UG',
+        'sports_library': 'Sports Development and UG Library Fee',
         }
 
@@ -141,6 +145,7 @@
         'gst_text_book_3': 'Text Book Fee GST222',
         'late_registration': 'Late Course Registration Fee',
-        'sports': 'Sports Fee',
-        'library': 'Library Fee UG',
+        #'sports': 'Sports Fee',
+        #'library': 'Library Fee UG',
+        'sports_library': 'Sports Development and UG Library Fee',
         }
 