Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py	(revision 15988)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/browser.py	(revision 15989)
@@ -206,12 +206,9 @@
     form_fields = grok.AutoFields(ICustomStudentStudyLevel).omit('level')
 
-class ExportPDFExaminationClearanceSlip(CustomExportPDFCourseRegistrationSlip):
-    """Deliver a PDF slip of the context.
-    """
-
-    grok.name('examination_clearance_slip.pdf')
-
+class ExportPDFExaminationClearanceSlip1(CustomExportPDFCourseRegistrationSlip):
+    """Deliver a PDF slip of the context.
+    """
+    grok.name('examination_clearance_slip_1.pdf')
     form_fields = None
-
     omit_fields = (
         'password', 'suspended', 'phone', 'date_of_birth',
@@ -219,8 +216,10 @@
         'adm_code', 'sex', 'suspended_comment', 
         'flash_notice')
-
-    @property
-    def label(self):
-        return '%s Examination Clearance' % self.context.level_session
+    semester = 1
+    tabletitle =  ['', '', '']
+
+    @property
+    def label(self):
+        return '%s First Semester Examination Clearance' % self.context.level_session
 
     @property
@@ -234,24 +233,7 @@
             self.redirect(self.url(self.context))
 
-    @property
-    def tabletitle(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        tabletitle = []
-        tabletitle.append(translate(_('1st Semester Courses'), 'waeup.kofa',
-            target_language=portal_language))
-        tabletitle.append('_PB_' + translate(_('2nd Semester Courses'), 'waeup.kofa',
-            target_language=portal_language))
-        tabletitle.append(translate(_('Level Courses'), 'waeup.kofa',
-            target_language=portal_language))
-        return tabletitle
-
     def render(self):
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         Code = translate('Code', 'waeup.kofa', target_language=portal_language)
-        #Title = translate('Title', 'waeup.kofa', target_language=portal_language)
-        #Dept = translate('Dept.', 'waeup.kofa', target_language=portal_language)
-        #Faculty = translate('Faculty', 'waeup.kofa', target_language=portal_language)
-        #Cred = translate(_('Credits'), 'waeup.uniben', target_language=portal_language)
-        #Grade = translate('Grade', 'waeup.kofa', target_language=portal_language)
         studentview = StudentBasePDFFormPage(self.context.student,
             self.request, self.omit_fields)
@@ -262,21 +244,28 @@
         for i in range(1,7):
             tabledata.append(sorted(
-                [value for value in self.context.values() if value.semester == i],
-                key=lambda value: str(value.semester) + value.code))
+                [value for value in self.context.values() if i == self.semester == value.semester],
+                key=lambda value: value.code))
             tableheader.append([(Code,'code', 2.5),
-                             #(Title,'title', 5),
-                             #(Dept,'dcode', 1.5), (Faculty,'fcode', 1.5),
-                             #(Cred, 'credits', 1.5),
-                             ('Signature','sig', 10),
+                             ('Invigilator\'s Name','inv', 8),
+                             ('Signature','sig', 7),
                              ])
         return students_utils.renderPDF(
-            self, 'examination_clearance_slip.pdf',
+            self, 'examination_clearance_slip_%s.pdf' % self.semester,
             self.context.student, studentview,
             tableheader=tableheader,
             tabledata=tabledata,
             omit_fields=self.omit_fields,
-            topMargin=1.1
+            topMargin=1.3
             )
 
+class ExportPDFExaminationClearanceSlip2(ExportPDFExaminationClearanceSlip1):
+    """Deliver a PDF slip of the context.
+    """
+    grok.name('examination_clearance_slip_2.pdf')
+    semester = 2
+
+    @property
+    def label(self):
+        return '%s Second Semester Examination Clearance' % self.context.level_session
 
 class CustomPaymentsManageFormPage(PaymentsManageFormPage):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 15988)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 15989)
@@ -455,8 +455,15 @@
         IWorkflowState(self.student).setState('courses validated')
         self.browser.open(self.student_path + '/studycourse/100')
-        self.browser.getLink("Download examination clearance slip").click()
+        self.browser.getLink("Download 1st semester examination clearance slip").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
-        path = os.path.join(samples_dir(), 'examination_clearance_slip.pdf')
+        path = os.path.join(samples_dir(), 'examination_clearance_slip_1.pdf')
         open(path, 'wb').write(self.browser.contents)
-        print "Sample PDF examination_clearance_slip.pdf written to %s" % path
+        print "Sample PDF examination_clearance_slip_1.pdf written to %s" % path
+        self.browser.open(self.student_path + '/studycourse/100')
+        self.browser.getLink("Download 2nd semester examination clearance slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'examination_clearance_slip_2.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF examination_clearance_slip_2.pdf written to %s" % path
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/viewlets.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/viewlets.py	(revision 15988)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/viewlets.py	(revision 15989)
@@ -51,5 +51,5 @@
     grok.require('waeup.manageStudent')
 
-class ExaminationClearanceSlipActionButton(ManageActionButton):
+class ExaminationClearanceSlipActionButton1(ManageActionButton):
     grok.order(6)
     grok.context(IStudentStudyLevel)
@@ -57,6 +57,6 @@
     grok.require('waeup.viewStudent')
     icon = 'actionicon_pdf.png'
-    text = 'Download examination clearance slip'
-    target = 'examination_clearance_slip.pdf'
+    text = 'Download 1st semester examination clearance slip'
+    target = 'examination_clearance_slip_1.pdf'
 
     @property
@@ -69,2 +69,7 @@
             return ''
         return self.view.url(self.view.context, self.target)
+
+class ExaminationClearanceSlipActionButton2(ExaminationClearanceSlipActionButton1):
+    grok.order(7)
+    text = 'Download 2nd semester examination clearance slip'
+    target = 'examination_clearance_slip_2.pdf'